net.sourceforge.jnlp.config

## Class ConfiguratonValidator

- java.lang.Object
- - net.sourceforge.jnlp.config.ConfiguratonValidator

    public class ConfiguratonValidator
    extends java.lang.Object

Validates a DeploymentConfiguration by identifying settings with unrecognized names or incorrect values.

### Constructor Summary

Constructors
Constructor and Description
`ConfiguratonValidator(java.util.Map<java.lang.String,Setting<java.lang.String>> toValidate)`

### Method Summary

Methods
`java.util.List<Setting<java.lang.String>>` `getIncorrectSetting()`
`java.util.List<Setting<java.lang.String>>` `getUnrecognizedSetting()`
`void` `validate()` Validates the settings used in the constructor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfiguratonValidator

    public ConfiguratonValidator(java.util.Map<java.lang.String,Setting<java.lang.String>> toValidate)

Parameters:
  `toValidate` - the settings to validate

### Method Detail

#### validate

    public void validate()

Validates the settings used in the constructor. Use `getIncorrectSetting()` and `getUnrecognizedSetting()` to get the list of incorrect or unrecognized settings.

#### getIncorrectSetting

    public java.util.List<Setting<java.lang.String>> getIncorrectSetting()

Returns:
  a list of settings which have incorrect values

#### getUnrecognizedSetting

    public java.util.List<Setting<java.lang.String>> getUnrecognizedSetting()

Returns:
  a list of settings which are not recognized